# PulpAnsibleClient::AnsibleGitRemoteResponse

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**name** | **String** | A unique name for this remote. | 
**pulp_labels** | **Hash&lt;String, String&gt;** |  | [optional] 
**hidden_fields** | [**Array&lt;AnsibleCollectionRemoteResponseHiddenFields&gt;**](AnsibleCollectionRemoteResponseHiddenFields.md) | List of hidden (write only) fields | [optional] [readonly] 
**pulp_created** | **DateTime** | Timestamp of creation. | [optional] [readonly] 
**proxy_url** | **String** | The proxy URL. Format: scheme://host:port | [optional] 
**client_cert** | **String** | A PEM encoded client certificate used for authentication. | [optional] 
**pulp_href** | **String** |  | [optional] [readonly] 
**sock_read_timeout** | **Float** | aiohttp.ClientTimeout.sock_read (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**total_timeout** | **Float** | aiohttp.ClientTimeout.total (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**tls_validation** | **Boolean** | If True, TLS peer validation must be performed. | [optional] 
**rate_limit** | **Integer** | Limits requests per second for each concurrent downloader | [optional] 
**max_retries** | **Integer** | Maximum number of retry attempts after a download failure. If not set then the default value (3) will be used. | [optional] 
**download_concurrency** | **Integer** | Total number of simultaneous connections. If not set then the default value will be used. | [optional] 
**url** | **String** | The URL of an external content source. | 
**ca_cert** | **String** | A PEM encoded CA certificate used to validate the server certificate presented by the remote server. | [optional] 
**pulp_last_updated** | **DateTime** | Timestamp of the most recent update of the remote. | [optional] [readonly] 
**headers** | **Array&lt;Object&gt;** | Headers for aiohttp.Clientsession | [optional] 
**connect_timeout** | **Float** | aiohttp.ClientTimeout.connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**sock_connect_timeout** | **Float** | aiohttp.ClientTimeout.sock_connect (q.v.) for download-connections. The default is null, which will cause the default from the aiohttp library to be used. | [optional] 
**metadata_only** | **Boolean** | If True, only metadata about the content will be stored in Pulp. Clients will retrieve content from the remote URL. | [optional] 
**git_ref** | **String** | A git ref. e.g.: branch, tag, or commit sha. | [optional] 

## Code Sample

```ruby
require 'PulpAnsibleClient'

instance = PulpAnsibleClient::AnsibleGitRemoteResponse.new(name: null,
                                 pulp_labels: null,
                                 hidden_fields: null,
                                 pulp_created: null,
                                 proxy_url: null,
                                 client_cert: null,
                                 pulp_href: null,
                                 sock_read_timeout: null,
                                 total_timeout: null,
                                 tls_validation: null,
                                 rate_limit: null,
                                 max_retries: null,
                                 download_concurrency: null,
                                 url: null,
                                 ca_cert: null,
                                 pulp_last_updated: null,
                                 headers: null,
                                 connect_timeout: null,
                                 sock_connect_timeout: null,
                                 metadata_only: null,
                                 git_ref: null)
```


